import { useMutation } from '@tanstack/react-query'
import { createUser } from '../api/createUser'
import type { CreateUserRequest } from '../api/createUser'

export function useCreateUser() {
  return useMutation({
    mutationFn: (payload: CreateUserRequest) => createUser(payload),
  })
}
